Index: sandbox/expresso/novos_templates/expressoMail1_2/js/main.js
===================================================================
--- trunk/expressoMail1_2/js/main.js	(revision 706)
+++ sandbox/expresso/novos_templates/expressoMail1_2/js/main.js	(revision 773)
@@ -79,5 +79,5 @@
 			var save_link = Element("save_message_options_"+border_id);
 			save_link.onclick = function onclick(event) { openTab.toPreserve[border_id] = true; save_msg(border_id); } ;
-			save_link.style.color = '#0000ff';
+			save_link.className = 'message_options';
 		};
 		
@@ -103,10 +103,16 @@
 }
 
-
-
-function show_msg(msg_info){	
+function show_msg_img(msg_info){
+       delete_border(msg_info.msg_number+"_r");
+       msg_info.showImg = true;
+       show_msg(msg_info);
+}
+
+function show_msg(msg_info){
 	if(!verify_session(msg_info))
 		return;
-	
+	if (typeof(msg_info) != 'object')
+		alert(get_lang("Error in show_msg param is not object"))
+
 	if (msg_info.status_get_msg_info == 'false')
 	{
@@ -140,5 +146,16 @@
 			var border_id = create_border(msg_info.subject, id_msg_read);
 			if(border_id)
+			{
+				openTab.type[border_id] = 2;
 				draw_message(msg_info,border_id);
+				var unseen_sort = document.getElementById('span_flag_UNSEEN').getAttribute('onclick');
+				unseen_sort = unseen_sort.toString();
+				if ( !(unseen_sort.indexOf("'UNSEEN' == 'UNSEEN'") < 0) )
+				{
+					var sort_type = sort_box_type;
+					sort_box_type = null;
+					sort_box('UNSEEN', sort_type);
+				}
+			}
 			else
 				return;
@@ -186,4 +203,16 @@
 		if(!verify_session(data))
 			return;
+		var box = Element("tbody_box");
+		if (box.childNodes.length == 0)
+		{
+			td_info = document.createElement("H3");
+			td_info.setAttribute("height", "25%");
+			td_info.setAttribute("background", "#FFF");
+			td_info.setAttribute("id", "msg_info");
+			td_info.align = "center";
+			td_info.innerHTML = get_lang("This mail box is empty");
+			box.appendChild(td_info);
+		}
+
 		if (data.length > 0){
 			var msg_info = document.getElementById('msg_info')
@@ -199,15 +228,16 @@
 				eval(data[i].command);
 			}
-			
-			for (var i=0; i<data.msgs_to_delete.length; i++){
-				var remove_msg = document.getElementById(data.msgs_to_delete[i]);
-				if (remove_msg)
-					remove_msg.parentNode.removeChild(remove_msg);
-			}
+			if (! typeof(data.msgs_to_delete) == 'undefined')
+				for (var i=0; i<data.msgs_to_delete.length; i++){
+					var remove_msg = document.getElementById(data.msgs_to_delete[i]);
+					if (remove_msg)
+						remove_msg.parentNode.removeChild(remove_msg);
+				}
+
 			if(parseInt(alert_new_msg) && data.new_msgs > 0)
 				alert(get_lang("You have %1 new", data['new_msgs'])+" "+(data['new_msgs'] > 1 ? get_lang("messages") : get_lang("message")) +"!");
 			if(data.new_msgs > 0){
 			Element('tot_m').innerHTML = parseInt(Element('tot_m').innerHTML) + parseInt(data.new_msgs); //refresh tab title
-			update_quota(get_current_folder());
+			update_quota(current_folder);
 			}
 			 //if(data.new_msgs > 0 || data.msgs_to_delete.length > 0)
@@ -240,7 +270,19 @@
 }
 
-function delete_msgs2(folder, msgs_number, border_ID, show_success_msg) {
+function delete_msgs(folder, msgs_number, border_ID, show_success_msg)
+{
+	if (arguments.length < 4){
+		show_success_msg = true;
+	}
+
 	if (folder == 'null')
-		folder = get_current_folder();
+		folder = current_folder;
+
+	if(openTab.type[currentTab] == 1)
+		return move_search_msgs('content_id_'+currentTab);
+
+	if(currentTab.toString().indexOf("_r") != -1){
+			msgs_number = currentTab.toString().substr(0,currentTab.toString().indexOf("_r"));
+	}
 
 	if ((parseInt(preferences.save_deleted_msg)) && (folder!='INBOX'+cyrus_delimiter+trashfolder)){
@@ -251,8 +293,11 @@
 	var handler_delete_msgs = function(data){
 		Element('chk_box_select_all_messages').checked = false;
-		mail_msg = Element("tbody_box");
+		if (currentTab)
+			mail_msg = Element("tbody_box_"+currentTab);
+		else
+			mail_msg = Element("tbody_box");
 		
 		if ( preferences.use_shortcuts == '1') {
-			var all_messages = Element('tbody_box').childNodes;
+			var all_messages = mail_msg.childNodes;
 
 			//Last msg is selected
@@ -275,15 +320,18 @@
 		}
 		if (show_success_msg) {
-			if (data.msgs_number.length == 1) 
+			if (data.msgs_number.length == 1)
 				write_msg(get_lang("The message was deleted."));
-			else 
+			else
 				write_msg(get_lang("The messages were deleted."));
 		}
 
-		if (data.border_ID != 'null'){
+		if (openTab.type[currentTab] > 1){
 			if (parseInt(preferences.delete_and_show_previous_message))
+			{
+				delete_border(currentTab,'false');
 				show_msg(data.previous_msg);
+			}
 			else
-				delete_border(data.border_ID,'false');
+				delete_border(currentTab,'false');
 		}
 		Element('tot_m').innerHTML = parseInt(Element('tot_m').innerHTML) - data.msgs_number.length;
@@ -298,8 +346,4 @@
 		write_msg(get_lang('No selected message.'));		
 }
-function delete_msgs(folder, msgs_number, border_ID)
-{ 
-	delete_msgs2(folder, msgs_number, border_ID, true);
-}
 
 
@@ -307,5 +351,5 @@
 	var selected_messages = '';
 	var temp_msg;
-	var main_list = Element("tbody_resultsearch_"+border_id.substr(18)).childNodes;	
+	var main_list = Element("tbody_box_"+currentTab.substr(7)).childNodes;
 	for (j = 0; j < main_list.length; j++)	{
 		var check_box = main_list[j].firstChild.firstChild; 
@@ -339,6 +383,7 @@
 			var tr = Element(selected_messages[i]);
 			tr.parentNode.removeChild(tr);
-		}			
-	}	
+		}
+		purgeCache();
+	}
 
 	if (selected_messages){
@@ -376,7 +421,6 @@
 
 function move_msgs2(folder, msgs_number, border_ID, new_folder, new_folder_name,show_success_msg){
-
 	if (! folder || folder == 'null')
-		folder = Element("input_folder_"+msgs_number+"_r") ? Element("input_folder_"+msgs_number+"_r").value : get_current_folder();
+		folder = Element("input_folder_"+msgs_number+"_r") ? Element("input_folder_"+msgs_number+"_r").value : current_folder;
 	
 	var handler_move_msgs = function(data){
@@ -391,5 +435,5 @@
 				return false;
 			}else{
-				alert(data);
+				alert(get_lang('Error moving message.')+":\n"+data);
 				return false;
 			}
@@ -399,8 +443,26 @@
 			return false;
 		}
-		
+
+		mail_msg = ( Element("divScrollMain_"+numBox) ) ? Element("divScrollMain_"+numBox).firstChild.firstChild : Element("divScrollMain_0").firstChild.firstChild;
+		if (openTab.type[currentTab] > 1){
+			msg_to_delete = Element(msgs_number);
+			if (parseInt(preferences.delete_and_show_previous_message) && msg_to_delete)
+			{
+				if (msg_to_delete.previousSibling){
+					var previous_msg = msg_to_delete.previousSibling.id;
+					cExecute("$this.imap_functions.get_info_msg&msg_number="+previous_msg+"&msg_folder=" + current_folder, show_msg);
+				}
+				else
+					delete_border(currentTab,'false');
+			}
+			else
+				delete_border(currentTab,'false');
+			if(msg_to_delete)
+				mail_msg.removeChild(msg_to_delete);
+			return;
+		}
+
 		Element('chk_box_select_all_messages').checked = false;
-		
-		mail_msg = ( Element("divScrollMain_"+numBox) ) ? Element("divScrollMain_"+numBox).firstChild.firstChild : Element("divScrollMain_0").firstChild.firstChild;
+
 		if (! mail_msg)
 				mail_msg = Element("tbody_box");
@@ -410,5 +472,5 @@
 		if( typeof(msgs_number) == 'string' )
 			all_search_msg = msgs_number.split(',');
-		else
+		else if( typeof(msgs_number) == 'number')
 			all_search_msg = msgs_number;
 
@@ -441,10 +503,4 @@
 		}
 		
-		if (show_success_msg) {
-			if (data.msgs_number.length == 1)
-				write_msg(get_lang("The message was moved to folder ") + lang_folder(data.new_folder_name));
-			else 
-				write_msg(get_lang("The messages were moved to folder ") + lang_folder(data.new_folder_name));
-		}
 
 		if (data.msgs_number.length == 1)
@@ -453,5 +509,5 @@
 			write_msg(get_lang("The messages were moved to folder ") + lang_folder(data.new_folder_name));
 		if (data.border_ID.indexOf('r') != -1){
-			if (parseInt(preferences.delete_and_show_previous_message) && folder == get_current_folder()){
+			if (parseInt(preferences.delete_and_show_previous_message) && folder == current_folder){
 				delete_border(data.border_ID,'false');
 				show_msg(data.previous_msg);
@@ -460,5 +516,5 @@
 				delete_border(data.border_ID,'false');
 		}
-		if(folder == get_current_folder())
+		if(folder == current_folder)
 			Element('tot_m').innerHTML = parseInt(Element('tot_m').innerHTML) - data.msgs_number.length;			
 		refresh();
@@ -496,17 +552,32 @@
 		var update_tree;
 
-
 		for (var i = 0; i < data.length; i++) {
 			msg_info = connector.unserialize(data[i]);
+
+			if ( folder == 'INBOX/Lixeira/tmpMoveToLocal' )
+				msg_info.msg_folder += (Date.parse(new Date));
+
 			temp = expresso_local_messages.insert_mail(msg_info, msg_info['header'],msg_info['array_attach'],folder_dest );
-			Element("check_box_message_" + msg_info.msg_number).checked = false;
+			if ( Element("check_box_message_" + msg_info.msg_number) )
+				Element("check_box_message_" + msg_info.msg_number).checked = false;
+
 			if(!temp)
 				sucess = false;
 			else
 				msgs_to_remove.push(msg_info.msg_number);//As mensagens arquivadas devem ser removidas, caso o usuï¿œrio tenha isso configurado.
+
+			if ( Element(msg_info.msg_number) )
+				remove_className(Element(msg_info.msg_number), 'selected_msg');
+
+			if ( tree_folders._selected.id.indexOf( 'local_' ) == 0 || folder.indexOf( 'INBOX/Lixeira/tmpMoveToLocal' ) == 0 )
+			{
+				openTab.imapBox[0] = '';
+				tree_folders.getNodeById( 'local_Inbox' )._select( );
+				change_folder('local_Inbox','Inbox')
+			}
 		}
 		
 		if (preferences.keep_archived_messages == 0) { //Remove as mensagens
-				delete_msgs2(folder,msgs_to_remove,'null',false);
+				delete_msgs(folder,msgs_to_remove,'null',false);
 		}
 		update_tree=(!has_local_messages_before) && expresso_local_messages.has_local_mails();
@@ -658,4 +729,5 @@
 			title = "Re: " + data.subject;
 			Element("subject_" + new_border_ID).value = "Re: " + data.subject;			
+			useOriginalAttachments(new_border_ID,border_ID);
 			var body = Element("body_" + new_border_ID);
 			body.contentWindow.document.open();
@@ -686,4 +758,5 @@
 			Element("subject_" + new_border_ID).value = "Re: " + data.subject;
 			Element("to_" + new_border_ID).value = data.to;
+			useOriginalAttachments(new_border_ID,border_ID);
 			block_quoted_body = make_body_reply(data.body, data.to, data.date_day, data.date_hour);
 			var body = Element("body_" + new_border_ID);
@@ -710,4 +783,73 @@
 			msg_reply_from.value = Element("msg_number_" + border_ID).value;
 			Element("content_id_" + new_border_ID).appendChild(msg_reply_from);
+
+			config_events(
+				body.contentWindow.document, "onkeyup",
+				function( e )
+				{
+					// Break the indentation to answer an email when the Enter key is pressed
+					if ( e.keyCode == 13 && !e.shiftKey )
+					{
+						// Hiding error that occurs in Internet Explorer
+						try
+						{
+							var selection = null, range = null;
+							var iframeWindow = body.contentWindow;
+							var iframeDocument = iframeWindow.document;
+							if( typeof iframeWindow.getSelection != 'undefined' )
+							{
+								selection = iframeWindow.getSelection( );
+								//if ( typeof selection.getRangeAt != 'undefined' )
+								//	range = selection.getRangeAt( 0 );
+								//else if ( typeof selection.baseNode != 'undefined' )
+								//{
+								//	range = iframeDocument.createRange( );
+								//	range.setStart( selection.baseNode, selection.baseOffset );
+								//	range.setEnd( selection.extentNode, selection.extentOffset );
+								//	if ( range.collapsed )
+								//	{
+								//		range.setStart( selection.extentNode, selection.extentOffset );
+								//		range.setEnd( selection.baseNode, selection.baseOffset );
+								//	}
+								//}
+								range = selection.getRangeAt( 0 );
+								if ( range.commonAncestorContainer != 'body' )
+								{
+									var indent = false;
+									var node = range.commonAncestorContainer.parentNode;
+									while ( node )
+									{
+										if ( node.nodeName.toLowerCase( ) == 'blockquote' )
+											indent = true;
+										node = node.parentNode;
+									}
+									if ( indent )
+									{
+										var rangecopy = range.cloneRange( );
+										rangecopy.collapse( true );
+										range.deleteContents( );
+
+										var newline = iframeDocument.createElement( 'br' );
+										rangecopy.insertNode( newline );
+
+										iframeWindow.focus( );
+
+										body.contentWindow.document.execCommand( 'outdent', false, '' );
+									}
+								}
+							}
+							else if ( typeof iframeDocument.selection != 'undefined' )
+							{
+								// @TODO: IE code
+							}
+						       	else
+						       	{
+								return false;
+							}
+						} catch(e){alert(e);}
+					}
+				}
+			);
+
 			break;
 		case "reply_to_all_without_history":
@@ -732,4 +874,5 @@
 				Element('space_link_' + new_border_ID).style.display='none';
 			}
+			useOriginalAttachments(new_border_ID,border_ID);
 			var body = Element("body_" + new_border_ID);
 			body.contentWindow.document.open();
@@ -776,4 +919,5 @@
 			}
 			document.getElementById("subject_" + new_border_ID).value = "Re: " + data.subject;
+			useOriginalAttachments(new_border_ID,border_ID);
 			block_quoted_body = make_body_reply(data.body, data.to, data.date_day, data.date_hour);
 			var body = document.getElementById("body_" + new_border_ID);
@@ -800,4 +944,73 @@
 			msg_reply_from.value = Element("msg_number_" + border_ID).value;
 			Element("content_id_" + new_border_ID).appendChild(msg_reply_from);
+
+			config_events(
+				body.contentWindow.document, "onkeyup",
+				function( e )
+				{
+					// Break the indentation to answer an email when the Enter key is pressed
+					if ( e.keyCode == 13 && !e.shiftKey )
+					{
+						// Hiding error that occurs in Internet Explorer
+						try
+						{
+							var selection = null, range = null;
+							var iframeWindow = body.contentWindow;
+							var iframeDocument = iframeWindow.document;
+							if( typeof iframeWindow.getSelection != 'undefined' )
+							{
+								selection = iframeWindow.getSelection( );
+								//if ( typeof selection.getRangeAt != 'undefined' )
+								//	range = selection.getRangeAt( 0 );
+								//else if ( typeof selection.baseNode != 'undefined' )
+								//{
+								//	range = iframeDocument.createRange( );
+								//	range.setStart( selection.baseNode, selection.baseOffset );
+								//	range.setEnd( selection.extentNode, selection.extentOffset );
+								//	if ( range.collapsed )
+								//	{
+								//		range.setStart( selection.extentNode, selection.extentOffset );
+								//		range.setEnd( selection.baseNode, selection.baseOffset );
+								//	}
+								//}
+								range = selection.getRangeAt( 0 );
+								if ( range.commonAncestorContainer != 'body' )
+								{
+									var indent = false;
+									var node = range.commonAncestorContainer.parentNode;
+									while ( node )
+									{
+										if ( node.nodeName.toLowerCase( ) == 'blockquote' )
+											indent = true;
+										node = node.parentNode;
+									}
+									if ( indent )
+									{
+										var rangecopy = range.cloneRange( );
+										rangecopy.collapse( true );
+										range.deleteContents( );
+
+										var newline = iframeDocument.createElement( 'br' );
+										rangecopy.insertNode( newline );
+
+										iframeWindow.focus( );
+
+										body.contentWindow.document.execCommand( 'outdent', false, '' );
+									}
+								}
+							}
+							else if ( typeof iframeDocument.selection != 'undefined' )
+							{
+								// @TODO: IE code
+							}
+						       	else
+						       	{
+								return false;
+							}
+						} catch(e){alert(e);}
+					}
+				}
+			);
+
 			break;
 		case "forward":
@@ -838,10 +1051,10 @@
 						tmp = link_attachment.innerHTML.substring(0,link_attachment.innerHTML.lastIndexOf("("));
 						a_tmp[2] = "'"+tmp.substring(0,tmp.length-1)+"'";
-						s_tmp = escape(connector.serialize(a_tmp));			
+						s_tmp = escape(connector.serialize(a_tmp));
 
 						divFiles.innerHTML += "<input style='border:0' type='CHECKBOX' name='forwarding_attachments[]' checked value=\""+s_tmp+"\"/>";
 						divFiles.innerHTML += "<link style='border:0' name='file_"+i+"' id='inputFile_"+border_ID+i+"'/>";
 						divFiles.appendChild(link_attachment);
-					}	
+					}
 				}
 			}
@@ -880,17 +1093,14 @@
 			}
 			var body = document.getElementById("body_" + new_border_ID);
-			body.contentWindow.document.open();
 			// Insert the signature automaticaly at message body if use_signature preference is set
 			if (preferences.use_signature == "1") {
-				body.contentWindow.document.write("<html><body bgcolor='#FFFFFF'>" + "<br>" + signature + "</body></html>");
-			}
-			else {
-			body.contentWindow.document.write("<html><body bgcolor='#FFFFFF'></body></html>");
-			}
-			body.contentWindow.document.close();
-			body.contentWindow.document.designMode = "on";
+				config_events( body, 'onload', function( )
+				{
+					body.contentWindow.document.body.innerHTML += "<br>" + signature;
+				});
+			}
 			if (is_ie)
 				body.contentWindow.document.onkeypress = function(){if(body.contentWindow.event.keyCode == 13){changeEnterKey(body.contentWindow)}};
-			Element("to_" + new_border_ID).focus();			
+			Element("to_" + new_border_ID).focus();
 			break;
 		case "edit":
@@ -945,18 +1155,25 @@
 	}
 
+	// IM Module Enabled
+	if( window.parent.loadscript )
+	{
+		config_events( body.contentWindow.document, "onkeypress", loadscript.autoStatusIM );	
+	}
+
 	if (preferences.auto_save_draft == 1)
-    {
+	{
 		openTab.autosave_timer[new_border_ID] = false;
-		var save_link = document.getElementById("save_message_options"+new_border_ID);
-
-        function auto_sav()
-        {
-        	if (openTab.autosave_timer[new_border_ID])
-			clearTimeout(openTab.autosave_timer[new_border_ID]);
-
-	openTab.autosave_timer[new_border_ID] = setTimeout("save_msg("+new_border_ID+")", autosave_time);
-        }
-        config_events(body.contentWindow.document,'keypress', auto_sav);
-    }
+
+		config_events(body,'onload', function( )
+		{
+			config_events( body.contentWindow.document, 'keypress', function( )
+			{
+				if (openTab.autosave_timer[new_border_ID])
+					clearTimeout(openTab.autosave_timer[new_border_ID]);
+
+				openTab.autosave_timer[new_border_ID] = setTimeout("save_msg("+new_border_ID+")", autosave_time);
+			});
+		});
+	}
 
 	//BEGIN Tab event
@@ -988,7 +1205,50 @@
 		title = title.substring(0, parseInt(resize)*0.08);
 
-	Element("border_id_" + new_border_ID).innerHTML = "<table width=100% border=0 cellspacing=0 cellpadding=0><tr><td id=font_border_id_" + new_border_ID +" class='font-menu' width=*>" +title + "</td><td width=1px><img onmousedown='javascript:return false' style='cursor:pointer' onclick=delete_border('" + new_border_ID + "','false') src='templates/default/images/close_button.gif'></td></tr></table>";
+	Element("border_id_" + new_border_ID).innerHTML = "<table width=100% border=0 cellspacing=0 cellpadding=0><tr><td id=font_border_id_" + new_border_ID +" class='font-menu' width=*>" +title + "</td><td width=1px><img onmousedown='javascript:return false' style='cursor:pointer' onclick=delete_border('" + new_border_ID + "','false') src='templates/"+template+"/images/close_button.gif'></td></tr></table>";
 	return new_border_ID; //Preciso retornar o ID da nova mensagem.
 }
+
+function useOriginalAttachments(new_id_border,old_id_border)
+{
+	var divFiles = Element("divFiles_"+new_id_border);
+	if (Element("attachments_" + old_id_border)) {
+		var areaOldAttachments = document.createElement("DIV");
+		areaOldAttachments.id = "area_div_attachments_"+new_id_border;
+		divFiles.appendChild(areaOldAttachments);
+		var optAttachments = document.createElement("A");
+		optAttachments.setAttribute("href","javascript:void(0)");
+		optAttachments.tabIndex = -1;
+		optAttachments.innerHTML = get_lang("Original attachments: add")+"</br>";
+		areaOldAttachments.appendChild(optAttachments);
+		var divOriginalAttachments = document.createElement("DIV");
+		divOriginalAttachments.id = "div_attachments_"+new_id_border;
+		optAttachments.onclick = function(){
+			if(document.getElementById('div_attachments_'+new_id_border))
+			{
+				areaOldAttachments.removeChild(document.getElementById('div_attachments_'+new_id_border));
+				optAttachments.innerHTML = get_lang("Original attachments: add")+"</br>";
+			}
+			else
+			{
+				areaOldAttachments.appendChild(divOriginalAttachments);
+				optAttachments.innerHTML = get_lang("Original attachments: remove")+"</br>";
+			}
+			return false;};
+			var attachments = document.getElementById("attachments_" + old_id_border).childNodes;
+			for (var i = (attachments.length > 1 ? 1 : 0); i < attachments.length; i++){
+				var link_attachment = document.createElement("A");
+				link_attachment.setAttribute("href", attachments[i].href);
+				link_attachment.innerHTML = attachments[i].innerHTML;
+				var tmp = link_attachment.href.replace("javascript:download_attachments(", "").replace(")", "");
+				var a_tmp = tmp.split(',');
+				tmp = link_attachment.innerHTML.substring(0,link_attachment.innerHTML.lastIndexOf("("));
+				a_tmp[2] = "'"+tmp.substring(0,tmp.length-1)+"'";
+				s_tmp = escape(connector.serialize(a_tmp));
+				divOriginalAttachments.innerHTML += "<input style='border:0' type='CHECKBOX' name='forwarding_attachments[]' checked value=\""+s_tmp+"\"/>";
+				divOriginalAttachments.appendChild(link_attachment);
+			}
+	}
+}
+
 
 // Change the tag <P> for the tag <BR> on IE
@@ -1047,7 +1307,10 @@
 
 function send_message(ID, folder, folder_name){
+	if ( document.getElementById('viewsource_rt_checkbox').checked == true )
+		document.getElementById('viewsource_rt_checkbox').click();
+
 	var save_link = Element("save_message_options_"+ID);
 	save_link.onclick = '';
-	save_link.style.color = '#999';
+	save_link.className = 'message_options_inactive';
 	
 	ID_tmp = ID;
@@ -1219,5 +1482,5 @@
 		var save_link = Element("save_message_options_"+border_id);
 		save_link.onclick = '';
-		save_link.style.color = '#999';
+		save_link.className = 'message_options_inactive';
 		watch_changes_in_msg(border_id);
 		Element("send_button_"+border_id).style.visibility="visible";
@@ -1227,4 +1490,10 @@
 
 function save_msg(border_id){
+	var rt_checkbox = Element('viewsource_rt_checkbox');
+	if (rt_checkbox == null)
+		return false;
+	if (rt_checkbox.checked == true)
+		rt_checkbox.click();
+
 	var sendButton = Element("send_button_"+border_id);
 	if (sendButton)
@@ -1373,5 +1642,5 @@
 	}
 	
-	var folder = get_current_folder();
+	var folder = current_folder;
 	if (msgs_to_set == 'get_selected_messages')
 		var msgs_to_set = this.get_selected_messages();
@@ -1393,13 +1662,16 @@
 		if (data.status && Element("td_message_answered_"+msg_number)) {	
 			if(flag == 'answered')
-				Element("td_message_answered_"+msg_number).innerHTML = '<img src=templates/default/images/answered.gif title=Respondida>';
+				Element("td_message_answered_"+msg_number).innerHTML = '<img src=templates/'+template+'/images/answered.gif title=Respondida>';
 			else if(flag == 'forwarded')
-				Element("td_message_answered_"+msg_number).innerHTML = '<img src=templates/default/images/forwarded.gif title=Encaminhada>';
-		}
-	}
-	cExecute ("$this.imap_functions.set_messages_flag&folder="+( msg_number_folder ?  msg_number_folder.value : get_current_folder() )+"&msgs_to_set="+msg_number+"&flag="+flag, handler_set_messages_flag);
+				Element("td_message_answered_"+msg_number).innerHTML = '<img src=templates/'+template+'/images/forwarded.gif title=Encaminhada>';
+		}
+	}
+	cExecute ("$this.imap_functions.set_messages_flag&folder="+( msg_number_folder ?  msg_number_folder.value : current_folder )+"&msgs_to_set="+msg_number+"&flag="+flag, handler_set_messages_flag);
 }
 
 function print_all(){
+	if (openTab.type[currentTab] == 2)
+		return print_msg(current_folder,currentTab.substr(0,currentTab.indexOf("_r")),currentTab);
+
 	var folder= Element('border_id_0').innerHTML;
 	var body = Element('divScrollMain_'+numBox).innerHTML;
@@ -1504,5 +1776,5 @@
 		if(!verify_session(data))
 			return;
-		if (get_current_folder() == 'INBOX'+cyrus_delimiter+trashfolder){
+		if (current_folder == 'INBOX'+cyrus_delimiter+trashfolder){
 			draw_paging(0);
 			kill_current_box();
@@ -1510,5 +1782,5 @@
 		tree_folders.getNodeById('INBOX'+cyrus_delimiter+trashfolder).alter({caption: get_lang("Trash")});
 		tree_folders.getNodeById('INBOX'+cyrus_delimiter+trashfolder)._refresh();
-		update_quota(get_current_folder());
+		update_quota(current_folder);
 		if (data)
 			write_msg(get_lang('Your Trash folder was empty.'));
@@ -1522,5 +1794,8 @@
 
 function export_all_selected_msgs(){
-	
+	if (openTab.type[currentTab] > 1){
+		source_msg(currentTab,current_folder);
+		return;
+	}
 	var msgs_to_export = this.get_selected_messages();
 	
@@ -1535,5 +1810,5 @@
 	
 	if (msgs_to_export) {
-		cExecute ("$this.exporteml.makeAll", handler_export_all_selected_msgs, "folder="+get_current_folder()+"&msgs_to_export="+msgs_to_export);
+		cExecute ("$this.exporteml.makeAll", handler_export_all_selected_msgs, "folder="+current_folder+"&msgs_to_export="+msgs_to_export);
 		write_msg(get_lang('You must wait while the messages will be exported...'));
 	}
@@ -1587,5 +1862,5 @@
 function nospam(msgs_number, border_ID, folder){
 	if (folder == 'null')
-		folder = get_current_folder();
+		folder = current_folder;
 	var new_folder 	= 'INBOX';
 	var new_folder_name = get_lang('INBOX');
@@ -1609,5 +1884,5 @@
 function spam(folder, msgs_number, border_ID){
 	if (folder == 'null')
-		folder = get_current_folder();
+		folder = current_folder;
     var new_folder 		= 'INBOX'+cyrus_delimiter+'Spam';
 	var new_folder_name = 'Spam';
@@ -1706,12 +1981,20 @@
 			write_msg(get_lang('The size of this message has exceeded  the limit (%1B).',Element('upload_max_filesize').value));
 		else {
-			write_msg(data);
-			arrayJSWin["import_window"].close();
-			if(openTab.imapBox[0] == wfolders_tree._selected.id){
-				openTab.imapBox[0] = '';
-				change_folder(wfolders_tree._selected.id, wfolders_tree._selected.caption);
-			}
-			else{
-				refresh();
+			if ( wfolders_tree._selected.id == 'local_Inbox' )
+			{
+				archive_msgs('INBOX/Lixeira/tmpMoveToLocal','local_Inbox',data);
+				cExecute('$this.imap_functions.delete_mailbox',function(){},'del_past=INBOX/Lixeira/tmpMoveToLocal');
+			}
+			else
+			{
+				write_msg(data);
+				arrayJSWin["import_window"].close();
+				if(openTab.imapBox[0] == wfolders_tree._selected.id){
+					openTab.imapBox[0] = '';
+					change_folder(wfolders_tree._selected.id, wfolders_tree._selected.caption);
+				}
+				else{
+					refresh();
+				}
 			}
 		}
